### Enumeration

# Gio CredentialsType

since: 2.26

#### Declaration

    enum Gio.CredentialsType

#### Description [src]

Enumeration describing different kinds of native credential types.

Available since: 2.26

#### Members

Name | Description
--- | ---
`G_CREDENTIALS_TYPE_INVALID` | Indicates an invalid native credential type.
`G_CREDENTIALS_TYPE_LINUX_UCRED` | The native credentials type is a `struct ucred`.
`G_CREDENTIALS_TYPE_FREEBSD_CMSGCRED` | The native credentials type is a `struct cmsgcred`.
`G_CREDENTIALS_TYPE_OPENBSD_SOCKPEERCRED` | The native credentials type is a `struct sockpeercred`. Added in 2.30.
`G_CREDENTIALS_TYPE_SOLARIS_UCRED` | The native credentials type is a `ucred_t`. Added in 2.40.
`G_CREDENTIALS_TYPE_NETBSD_UNPCBID` | The native credentials type is a `struct unpcbid`. Added in 2.42.
`G_CREDENTIALS_TYPE_APPLE_XUCRED` | The native credentials type is a `struct xucred`. Added in 2.66.
`G_CREDENTIALS_TYPE_WIN32_PID` | The native credentials type is a PID `DWORD`. Added in 2.72.